import * as $dara from '@darabonba/typescript';
import { ListEnhanhcedNatGatewayAvailableZonesResponseBody } from "./ListEnhanhcedNatGatewayAvailableZonesResponseBody";
export declare class ListEnhanhcedNatGatewayAvailableZonesResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ListEnhanhcedNatGatewayAvailableZonesResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
